<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('about_us_messages', function (Blueprint $table) {
            $table->id();
            $table->string('messages_tittle')->nullable(); 
            $table->string('messages_name')->nullable(); 
            $table->string('messages_position')->nullable(); 
            $table->text('messages_text')->nullable(); 
            $table->string('messages_photo')->nullable(); 
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('about_us_messages');
    }
};
